replicaCount: 1

image:
  registry: registry.gitlab.com
  repository: blauwe-knop/vorderingenoverzicht/scheme-service
  pullPolicy: IfNotPresent
  # Overrides the image tag whose default is the chart appVersion.
  #tag: ""

imagePullSecrets: []
nameOverride: ""
fullnameOverride: "scheme-service"

serviceAccount:
  create: true
  automount: true
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}
podLabels: {
  platform: vorijk
}

podSecurityContext: {}
  # fsGroup: 2000

securityContext:
   allowPrivilegeEscalation: false
   capabilities:
     drop:
     - ALL
   readOnlyRootFilesystem: true
   runAsNonRoot: true
   runAsUser: 10001
   runAsGroup: 10001
   seccompProfile:
     type: RuntimeDefault

service:
  type: ClusterIP
  port: 8008

resources:
   limits:
     cpu: 200m
     memory: 64Mi
   requests:
     cpu: 50m
     memory: 64Mi

livenessProbe:
  httpGet:
    path: /v1/health
    port: http
readinessProbe:
  httpGet:
    path: /v1/health/check
    port: http

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

# only one of minAvailable and maxUnavailable can be used, not both at the same time
podDisruptionBudget:
  enabled: false
  minAvailable: 1
  # maxUnavailable: 1

# note: when overriding 1 or more of the environment variables below, make sure that all should be overridden,
#       or else the other ones will be lost
env:
  - name: API_KEY
    valueFrom:
      secretKeyRef:
        name: "scheme-service-api-key"
        key: api-key
  - name: SCHEME_DB_HOST
    value: scheme-db-rw
  - name: SCHEME_DB_USERNAME
    valueFrom:
      secretKeyRef:
        name: scheme-db-app
        key: username
  - name: SCHEME_DB_PASSWORD
    valueFrom:
      secretKeyRef:
        name: scheme-db-app
        key: password
  - name: LOG_LEVEL
    value: debug

apiKey: "scheme-service-api-key"